package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag295;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT295Creator;

public class Tag11rCreator extends AbsTagCreate {
    private MT295Creator mt295Creator;

    public Tag11rCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt295Creator= (MT295Creator) absMTCreator;
    }

    public void creator()
    {
        String tag11aValue = mt295Creator.getMtAndDateoftheOriginalMessage();
        mt295Creator.set("11R", tag11aValue);
    }
}
